mbed_host_tests.host_tests.wait_us_auto.WaitusTest Class Reference
Inheritance diagram for mbed_host_tests.host_tests.wait_us_auto.WaitusTest:

## Public Member Functions

| setup (self)
| result (self)
| teardown (self)

## Static Public Attributes

float | DEVIATION = 0.10
list | ticks = []

## Protected Member Functions

| _callback_exit (self, key, value, timeout)
| _callback_tick (self, key, value, timestamp)

## Protected Attributes

| _callback_exit
| _callback_tick

## Detailed Description

     This test is reading single characters from stdio
        and measures time between their occurrences.

Definition at line 22 of file wait_us_auto.py.

## Member Function Documentation

## _callback_exit()

mbed_host_tests.host_tests.wait_us_auto.WaitusTest._callback_exit | ( |  | self,
|  |  | key,
|  |  | value,
|  |  | timeout
| ) |  |

protected

Definition at line 30 of file wait_us_auto.py.

## _callback_tick()

mbed_host_tests.host_tests.wait_us_auto.WaitusTest._callback_tick | ( |  | self,
|  |  | key,
|  |  | value,
|  |  | timestamp
| ) |  |

protected

     {{tick;%d}}}

Definition at line 33 of file wait_us_auto.py.

## result()

mbed_host_tests.host_tests.wait_us_auto.WaitusTest.result | ( |  | self | ) |

Definition at line 42 of file wait_us_auto.py.

## setup()

mbed_host_tests.host_tests.wait_us_auto.WaitusTest.setup | ( |  | self | ) |

Definition at line 38 of file wait_us_auto.py.

## teardown()

mbed_host_tests.host_tests.wait_us_auto.WaitusTest.teardown | ( |  | self | ) |

Definition at line 61 of file wait_us_auto.py.

## Member Data Documentation

## _callback_exit

mbed_host_tests.host_tests.wait_us_auto.WaitusTest._callback_exit

protected

Definition at line 39 of file wait_us_auto.py.

## _callback_tick

mbed_host_tests.host_tests.wait_us_auto.WaitusTest._callback_tick

protected

Definition at line 40 of file wait_us_auto.py.

## DEVIATION

float mbed_host_tests.host_tests.wait_us_auto.WaitusTest.DEVIATION = 0.10

static

Definition at line 27 of file wait_us_auto.py.

## ticks

list mbed_host_tests.host_tests.wait_us_auto.WaitusTest.ticks = []

static

Definition at line 28 of file wait_us_auto.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests/wait_us_auto.py